Package pyplusplus :: Package code_creators :: Module include :: Class include_t

# type include_t

source code

                     object --+
                              |
    code_creator.code_creator_t --+
                                  |
                                 include_t

Creates C++ code for include directive

Instance Methods

__init__(self, header, user_defined=False, system=False) Constructor. | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| is_user_defined
| is_system Return True if header file is system( Boost.Python or Py++ ) header file
| header
| include_dirs_optimization
Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, header, user_defined=False, system=False)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### is_user_defined

### is_system

Return True if header file is system( Boost.Python or Py++ ) header file

### header

Get Method:
  _get_header(self)
Set Method:
  _set_header(self, header)

### include_dirs_optimization

Get Method:
  _get_include_dirs_optimization(self)
Set Method:
  _set_include_dirs_optimization(self, include_dirs)